osmo_counter Struct Reference

Structure representing a single counter. More...

`#include <counter.h>`

## Data Fields

struct llist_head | list
| internal list head More...
const char * | name
| human-readable name More...
const char * | description
| humn-readable description More...
unsigned long | value
| current value More...
unsigned long | previous
| previous value More...

## Detailed Description

Structure representing a single counter.

## Field Documentation

## description

const char* osmo_counter::description

humn-readable description

Referenced by handle_counter().

## list

struct llist_head osmo_counter::list

internal list head

Referenced by osmo_counter_alloc(), osmo_counter_free(), osmo_counter_get_by_name(), and osmo_counters_for_each().

## name

const char* osmo_counter::name

human-readable name

Referenced by handle_counter(), osmo_counter_alloc(), and osmo_counter_get_by_name().

## previous

unsigned long osmo_counter::previous

previous value

Referenced by osmo_counter_difference().

## value

unsigned long osmo_counter::value

current value

Referenced by handle_counter(), osmo_counter_dec(), osmo_counter_difference(), osmo_counter_get(), osmo_counter_inc(), and osmo_counter_reset().

The documentation for this struct was generated from the following file:

- include/osmocom/core/counter.h